.\" Roadkills-R-Us xdm.man
.TH XDMUI N "Release 5" "X Version 11"
.SH NAME
xdmui \- user interface for enhanced X Display Manager
.SH DESCRIPTION
.PP
Enhanced
.I xdm
includes a far more usable user interface.  It uses button
widgets (instead of obscure mouse/keyboard actions) for
normal user actions, and includes a help feature.
The old-style mouse/keyboard actions still work as well,
for users who prefer those.
.PP
The default configuration includes a login window title of
the form
.IP "" 4
hostname1 (Login to hostname2)
.PP
where
.B hostname1
is the
.I xdm
host, and
.B hostname 2
is the host you are logging in to.
.PP
At the bottom of the login window are five buttons:
.IP "" 4
Login
.IP "" 4
Reset
.IP "" 4
Restart
.IP "" 4
Min Session
.IP "" 4
Help
.PP
.B NOTE:
Selecting a button on a window is handled by moving the cursor
over the button, and pressing and releasing mouse button 1.
.PP
The
.I Login
button is selected after the username and password are filled in.
You may also simply press the
.B Return
key after entering the password.
.PP
The
.I Min Session
button may also be pressed after the username and password
are entered; it will log you in with a minimum session. By
default this will be two xterms and twm.  One of the xterms
will be labeled login.  Typing CTRL-D in this xterm or
otherwise exiting it will terminate the
.I xdm
session.
.PP
Selecting the
.I Reset
button at any time will reset the login window,
clearing any information you have typed.
.PP
Selecting the
.I Restart
button at any time will restart
.I xdm,
forcing it to reread the configuration files,
and restarting the X server.
.PP
Selecting the
.I Help
button pops up a help box explaining how to use the
.I xdm
interface.  Selecting the help box
.I Quit
button removes it.
.SH RESOURCES
.PP
.na
.nf
xdm widget hierarchy:
.sp
  toplevel
    form		-- Form widget
      login		-- Login widget
      buttons		-- Form widget
        ok		-- Command widget
        reset		-- Command widget
        restart	-- Command widget
        failsafe	-- Command widget
        help		-- Command widget
.fi
.ad
.PP
The
.I Login
class resources are described in the
.I xdm
man page.  The other widgets utilize their usual resources.
The default configuration includes the following labels for
the buttons:
.TS
tab(|);
l l.
ok|Login
reset|Reset
restart|Restart
failsafe|Min Session
help|Help
.TE
.SH FILES
.TP 4
.I /usr/lib/X11/xdm/Xresources
(or resource file sepcified in xdm config file)
.SH "SEE ALSO"
.IR xdm (1)
.SH COPYRIGHT
Copyright 1993, Pencom Software, Austin, TX.
Copyright 1993, Roadkills-R-Us, Austin, TX.
.br
See
.IR X (1)
for a full statement of rights and permissions.
.SH AUTHOR
Miles O'Neal, Pencom Software & Roadkills-R-Us

